package com.ruoyi.system.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.SecRole;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 参数配置 服务层
 *
 * @author ruoyi
 */
public interface ISecRoleService extends IService<SecRole>
{
    public List<SecRole> listS();

    SecRole findOne(LambdaQueryWrapper<SecRole> eq);

    @Transactional(rollbackFor = Exception.class)
    void Save(SecRole vo);

    Integer selectCount(Wrapper<SecRole> queryWrapper);
}
